// Arduino Grundkurs des Z-Lab Bruchsal.
// Dies ist Übung 4: Ein Piepser
// Eine ausführliche Beschreibung mit Erklärungen findest du hier:
// https://git.digital-infinity.de/DigitalInfinity/Z-Lab/src/branch/main/Arduino_Grundlagen/04_Piepser
// Dort findest du auch  eine Skizze für die Verkabelung

// Den Piepser schließen wir an PIN 12 an
// Damit wir es leichter haben, wenn sich das mal ändert speichern wir die 12 in einer
// sogenannten Konstante, die "PIEPSER" heißt.
// Das ist so wie bei LED_BUILTIN in der zweiten Übung
#define PIEPSER 12

void setup() {
  pinMode(PIEPSER, OUTPUT);
}

void loop() {
  // mit tone() lassen wir den Piepser Töne machen. Hier lassen wir ihn einen Ton mit einer Frequenz von 1KHz erzeugen
  tone(PIEPSER, 1000);
  delay(1000);
  // und hiermit geht der Piepser wieder aus
  noTone(PIEPSER);
  delay(1000);
}


// Kannst du auch eine Melodie mit dem Arduino erzeugen?